-- flare stack

require("IndustrialRevolution.functions-entities")

-- NB: adjust fluid box size to account for on_nth_tick frequency if required


local thing = "beast-flare-stack"

data:extend(
{
  {
    type = "item",
    name = thing,
    icon = B666M.gfx .. "/FlareStack/flare-stack-icon.png",
	icon_size = 64,
    order = "e[chemical-plant]ba",
    place_result = thing,
    stack_size = 50
  },
  {
    type = "recipe",
    name = thing,
    energy_required = 5,
    enabled = true,
    ingredients =
    {
	  {"pump", 1},
      {"steel-plate", 5}
    },
    result = thing,
  },
  
  
})

-- entity

local ass = util.table.deepcopy(data.raw["pump"]["pump"])
ass.name = thing
ass.minable.result = ass.name

ass.icon = data.raw["item"][thing].icon
ass.icon_size = data.raw["item"][thing].icon_size

ass.selection_box = { {-0.5,-0.5}, {0.5,0.5} }
ass.collision_box = { {-0.49,-0.49}, {0.49,0.49} }
ass.tile_width = 1
ass.tile_height = 1

ass.fast_replaceable_group = "flare-stack"

local fb = ass.fluid_box
fb.base_area = 500
fb.pipe_picture =
{
	north = get_layer("FlareStack/flare-stack-pipe-pictures", nil, nil, false, nil, nil, 46, 6, 41, 18, 128, 128, {0,1}),
	east = get_layer("FlareStack/flare-stack-pipe-pictures", nil, nil, false, nil, nil, 2, 50, 94, 36, 128, 128, {-1,0}),
	south = get_layer("FlareStack/flare-stack-pipe-pictures", nil, nil, false, nil, nil, 50, 26, 39, 70, 128, 128, {0,-1}), 
	west = get_layer("FlareStack/flare-stack-pipe-pictures", nil, nil, false, nil, nil, 2, 50, 32, 36, 128, 128, {1,0}),
}
fb.pipe_covers = pipecoverspictures()
fb.pipe_connections = {{ type="input", position = {0, -1} }}
fb.secondary_draw_orders = { north = -1 }
fb.off_when_no_fluid_recipe = false
	  
ass.fluid_box = fb

ass.animations =
{
	layers =
	{
		get_layer("FlareStack/flare-stack-base", nil, nil, false, nil, 0.75, 128, 320, 0, 0, 128, 320, {0,-1.5}),
		get_layer("FlareStack/flare-stack-shadow", nil, nil, true, nil, 0.75, 384, 128, 0, 0, 384, 128, {2.5,0}),
	}
}
ass.fluid_animation = nil

ass.glass_pictures = nil

ass.energy_usage = "1kW"
ass.energy_source =
{
	type = "burner",	
	emissions_per_minute = 10,
	fuel_inventory_size = 5,
	smoke =
	{
		{
			name = "smoke",
			frequency = 10,
			north_position = {0, -3.6},
			south_position = {0, -3.6},
			east_position = {0, -3.6},
			west_position = {0, -3.6},
			starting_vertical_speed = 0.1,
			starting_frame_deviation = 60,
		},
	},
}
	  	  
data.raw["pump"][ass.name] = ass



